// 마이페이지 LNB 처리
var fnSetMypageLnbList = function(lnbLvl) {
	let tag = '';
	tag += '<li><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_MYPAGE_ORDER_LIST);"' + (lnbLvl == 1 ? ' class="on"' : '') + '>주문확인/배송조회</a></li>\n';
	tag += '<li><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_MYPAGE_CRE_LIST);"' + (lnbLvl == 2 ? ' class="on"' : '') + '>취소/반품/교환 내역</a></li>\n';
	tag += '<li><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_MYPAGE_RESTOCK);"' + (lnbLvl == 3 ? ' class="on"' : '') + '>재입고 알림 내역</a></li>\n';
	tag += '<li><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_MYPAGE_COUPON);"' + (lnbLvl == 4 ? ' class="on"' : '') + '>쿠폰</a></li>\n';
	tag += '<li><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_MYPAGE_POINT);"' + (lnbLvl == 5 ? ' class="on"' : '') + '>STYLE 포인트</a></li>\n';
	tag += '<li><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_MYPAGE_GIFTCARD);"' + (lnbLvl == 6 ? ' class="on"' : '') + '>상품권</a></li>\n';
	tag += '<li><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_MYPAGE_REVIEW);"' + (lnbLvl == 7 ? ' class="on"' : '') + '>리뷰</a></li>\n';
	tag += '<li><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_MYPAGE_DELIVERY_ADDR);"' + (lnbLvl == 8 ? ' class="on"' : '') + '>배송지 관리</a></li>\n';
	tag += '<li><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_MYPAGE_WISHLIST);"' + (lnbLvl == 9 ? ' class="on"' : '') + '>위시리스트</a></li>\n';
	tag += '<li><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_MYPAGE_CUSTOMER);"' + (lnbLvl == 10 ? ' class="on"' : '') + '>내 정보 관리</a></li>\n';
	tag += '<li><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_MYPAGE_SECEDE);"' + (lnbLvl == 11 ? ' class="on"' : '') + '>회원 탈퇴</a></li>\n';
	$('#mypageLnbList').html(tag);
}

// 마이페이지 로케이션 처리
var fnSetMypageLocation = function(depth3, depth3Link, depth4) {
	let tag = '';
	if (gagajf.isNull(depth4)) {
		tag += '<li class="bread_3depth">' + depth3 + '</li>'
	} else {
		tag += '<li className="bread_3depth"><a href="javascript:void(0);" onClick="cfnGoToPage(' + depth3Link + ');">' + depth3 + '</a></li>';
		tag += '<li class="bread_3depth">' + depth4 + '</li>'
	}
	$('#location').append(tag);
}

// 비회원 LNB 처리
var fnSetNoMemberLnbList = function(lnbLvl) {
	let tag = '';
	tag += '<li><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_NOMEMBER_ORDER_LIST);"' + (lnbLvl == 1 ? ' class="on"' : '') + '>주문확인/배송조회</a></li>\n';
	tag += '<li><a href="javascript:void(0);" onclick="cfnGoToPage(_PAGE_NOMEMBER_CRE_LIST);"' + (lnbLvl == 2 ? ' class="on"' : '') + '>취소/반품/교환 내역</a></li>\n';
	$('#mypageLnbList').html(tag);
}

// 비회원 로케이션 처리
var fnSetNoMemberLocation = function(depth3, depth4) {
	let tag = '';
	if (gagajf.isNull(depth4)) {
		tag += '<li class="bread_3depth">' + depth3 + '</li>'
	} else {
		if (depth3 == '주문확인/배송조회') {
			tag += '<li className="bread_3depth"><a href="javascript:void(0);" onClick="cfnGoToPage(_PAGE_NOMEMBER_ORDER_LIST);">' + depth3 + '</a></li>';
		} else if (depth3 == '취소/반품/교환 내역') {
			tag += '<li className="bread_3depth"><a href="javascript:void(0);" onClick="cfnGoToPage(_PAGE_NOMEMBER_CRE_LIST);">' + depth3 + '</a></li>';
		}
		tag += '<li class="bread_3depth">' + depth4 + '</li>'
	}
	$('#location').append(tag);
}

// 주문상세보기 버튼 클릭 이벤트 처리
var fnGoToOrderDetail = function(param, noMember) {
	// 이전 페이지 정보 세션 저장
	fnSetPrePageInfo()

	if (noMember == 'noMember') {
		cfnGoToPage(_PAGE_NOMEMBER_ORDER_DETAIL);
	} else {
		let ordNo = $(param).attr('ordNo');
		cfnGoToPage(_PAGE_MYPAGE_ORDER_DETAIL + ordNo);
	}
}

// 상품상세 페이지 이동 처리
var fnGoToGoodsDetail = function(param) {
	// 이전 페이지 정보 세션 저장
	fnSetPrePageInfo()

	let goodsCd = $(param).attr('goodsCd');
	let colorCd = $(param).attr('optCd1');
	let ithrCd = $(param).attr('ithrCd');
	cfnGoToGoodsDetail(goodsCd, colorCd, ithrCd);
}

// 1:1문의 페이지 이동 처리
var fnGoToOneToOnePage = function(param) {
	// 이전 페이지 정보 세션 저장
	fnSetPrePageInfo()

	cfnGoToPage(_PAGE_ONETOONE_QNA);
}

// 배송조회 버튼 클릭 이벤트
var fnGoToDelivery = function(param, noMember) {
	// 이전 페이지 정보 등록
	fnSetPrePageInfo();

	let url = '';

	if (noMember == 'noMember') {
		url = '/noMember/delivery/info/form';
	} else {
		url = '/mypage/delivery/info/form';
	}
	url += '?ordNo=' + $(param).attr('ordNo');
	url += '&ordDtlNo=' + $(param).attr('ordDtlNo');
	url += '&invoiceNo=' + $(param).attr('invoiceNo');
	url += '&shipCompCd=' + $(param).attr('shipCompCd');

	cfnGoToPage(_frontUrl + url);
}

// 구매확정 버튼 클릭 이벤트
var fnDecideOrder = function(param) {
	let orderDecisionArr = [];
	let ordNo = $(param).attr('ordNo');
	let ordDtlNo = $(param).attr('ordDtlNo');

	orderDecisionArr.push(ordDtlNo);

	if (orderDecisionArr.length == 0) {
		mcxDialog.alert('구매확정 가능한 상품이 없습니다.');
		return false;
	}

	mcxDialog.confirm('구매확정 후에는 반품/교환이 불가합니다. 구매확정하시겠습니까?', {
		cancelBtnText: "취소",
		sureBtnText: "확인",
		sureBtnClick: function(){
			let data = {};

			data.ordNo = ordNo;
			data.ordDtlNoArr = orderDecisionArr;

			var jsonData = JSON.stringify(data);
			gagajf.ajaxJsonSubmit('/mypage/order/decision'
				, jsonData
				, function() {
					if (typeof(fnReloadStatusCount) == 'function') {
						fnReloadStatusCount();
					} else {
						cfnGoToPage(_PAGE_MYPAGE_ORDER_DETAIL + ordNo);
					}
				});
		}
	});
}

// 리뷰작성 버튼 클릭 이벤트
var fnCreateReview = function(param) {
	// 이전 페이지 정보 세션 저장
	fnSetPrePageInfo()

	let ordNo = $(param).attr('ordNo');
	let ordDtlNo = $(param).attr('ordDtlNo');
	let goodsCd = $(param).attr('goodsCd');

	fnReviewCreate(ordNo, ordDtlNo, goodsCd);
}

// 장바구니 담기 버튼 클릭 이벤트
var fnCreateCart = function(param) {
	let url = '/mypage/cart/add/info';
	let ordNo = $(param).attr('ordNo');
	let ordDtlNo = $(param).attr('ordDtlNo');

	if (isLogin == false) {
		url = '/noMember/cart/add/info';
	}

	let data = {};

	data.ordNo = ordNo;
	data.ordDtlNo = ordDtlNo;

	var jsonData = JSON.stringify(data);

	gagajf.ajaxJsonSubmit(url, jsonData, fnAddCart);
}

//장바구니담기
var fnAddCart = function(param){
	let data = [];

	$.each(param, function(idx, item) {
		let obj = {};
		obj.goodsCd = item.goodsCd;
		obj.optCd = item.optCd;
		obj.goodsQty = item.ordQty;
		obj.goodsType = item.goodsType;
		obj.cartGb = 'C';

		if (item.goodsType == 'G056_S') {
			obj.itemCd = item.itemCd;
		}

		data.push(obj);
	});

	cfnAddCart(data);
}

// 선물하기 SMS 재전송 버튼 클릭 이벤트
var fnReSendSms = function(param) {
	let ordNo = $(param).attr('ordNo');
	let url = '/mypage/gift/kakao/resend';
	let data = {};
	data.ordNo = ordNo;

	let jsonData = JSON.stringify(data);

	gagajf.ajaxJsonSubmit(url, jsonData, function(result) {
		console.log(result);
	}, true);
}

// 반품/취소/교환 버튼 클릭 이벤트
var fnCreateChange = function(param, gubun, noMember) {
	// 이전 페이지 정보 세션 저장
	fnSetPrePageInfo()

	let ordCanChgQty = $(param).attr('ordCanChgQty');
	let str = '';
	let url = '';

	if (noMember == 'noMember') {
		if (gubun == 'cancel') {
			str = '취소 가능한 수량이 없습니다.';
			url = '/noMember/cancel/form';
		} else if (gubun == 'return') {
			str = '반품 가능한 수량이 없습니다.';
			url = '/noMember/return/form';
		} else if (gubun == 'exchange') {
			str = '교환 가능한 수량이 없습니다.';
			url = '/noMember/exchange/form';
		}
	} else {
		if (gubun == 'cancel') {
			str = '취소 가능한 수량이 없습니다.';
			url = '/mypage/cancel/form';
		} else if (gubun == 'return') {
			str = '반품 가능한 수량이 없습니다.';
			url = '/mypage/return/form';
		} else if (gubun == 'exchange') {
			str = '교환 가능한 수량이 없습니다.';
			url = '/mypage/exchange/form';
		}
	}

	// 반품/취소/교환 가능 여부 체크
	if (ordCanChgQty == 0) {
		mcxDialog.alert(str);
		return false;
	}

	// 반품/취소/교환 페이지 이동
	url += '?ordDtlNo=' + $(param).attr('ordDtlNo');
	url += '&delvFeeCd=' + $(param).attr('delvFeeCd');
	if (noMember != 'noMember') {
		url += '&ordNo=' + $(param).attr('ordNo');
	}

	cfnGoToPage(_frontUrl + url);
}

// 주문 내역 삭제 처리
var fnDeleteOrder = function(noMember) {
	mcxDialog.confirm('주문내역을 삭제하시면 더 이상 해당 주문의 내용을 확인 및 교환/반품 등을 할 수 없습니다. 계속 하시겠습니까?', {
		cancelBtnText: "취소",
		sureBtnText: "확인",
		sureBtnClick: function(){
			let url = '';

			if (noMember == 'noMember') {
				url = '/noMember/order/delete';
			} else {
				url = '/mypage/order/delete';
			}

			let data = {};
			data.ordNo = ordNo;

			var jsonData = JSON.stringify(data);

			gagajf.ajaxJsonSubmit(url, jsonData, function() {
				if (noMember == 'noMember') {
					cfnGoToPage(_PAGE_NOMEMBER_ORDER_LIST);
				} else {
					cfnGoToPage(_PAGE_MYPAGE);
				}
			});
		}
	});
};

// 회수지, 교환지, 배송지 설정 팝업
var fnChangeDeliveryAddr = function(param) {
	let data = {};

	let jsonData = JSON.stringify(data);

	// 회원인경우
	if (isLogin == true) {
		$.ajax( {
			type		: "POST",
			url 		: '/common/delvAddrChangePop',
			data		: JSON.stringify(jsonData),
			dataType 	: 'html',
			beforeSend : function(xhr, settings) {
				xhr.setRequestHeader("AJAX"			, "true");
				xhr.setRequestHeader('Accept'		, 'application/json');
				xhr.setRequestHeader('Content-Type'	, 'application/json');
			},
			success 	: function(result) {
				$("#adrsChangePop .modal-dialog .modal-content").html(result);
				$("#adrsChangePop").modal("show");
			}
		});
	}
	// 비회원인경우
	else {
		$.ajax( {
			type		: "POST",
			url 		: '/common/delvAddrAddPop',
			data		: JSON.stringify(jsonData),
			dataType 	: 'html',
			beforeSend : function(xhr, settings) {
				xhr.setRequestHeader("AJAX"			, "true");
				xhr.setRequestHeader('Accept'		, 'application/json');
				xhr.setRequestHeader('Content-Type'	, 'application/json');
			},
			success 	: function(result) {
				$("#adrsAddPop .modal-dialog .modal-content").html(result);
				$("#adrsAddPop").modal("show");
			}
		});
	}
}

// 배송메모 설정 팝업
var fnChangeDeliveryMemo = function(param) {
	var data = {};
	data.delvMemo = $(param).parent().find('span').eq(0).text();
	data.ordNo = oneData.ordNo;

	$.ajax({
		type		: "POST",
		url 		: "/common/delvMemoChangePop",
		data		: JSON.stringify(data),
		dataType 	: "html",
		beforeSend 	: function(xhr, settings) {
			xhr.setRequestHeader("AJAX"			, "true");
			xhr.setRequestHeader('Accept'		, 'application/json');
			xhr.setRequestHeader('Content-Type'	, 'application/json');
		},
		success 	: function(result) {
			if (result != null) {
				$("#rqstModifyPop .modal-dialog .modal-content").html(result);
				$("#rqstModifyPop").modal("show");
			}
		}
	});
}

// 신용카드 전표 및 현금영수증 버튼 클릭 이벤트
var fnReceipt = function(param) {
	let receiptWin = '';
	let option = '';

	// APP일때 추가
	if (_isApp != null && _isApp == 'true') {
		receiptWin = 'public://?link=';
	}

	receiptWin += kcpReceiptUrl;

	if (param == 'card') {
		let order_no = ordNo;
		if (!gagajf.isNull(paymentInfo.ordChgSq)) {
			order_no = 'C' + paymentInfo.ordChgSq;
		}

		// URL 설정
		receiptWin += '?cmd=card_bill';
		receiptWin += '&tno=' + paymentInfo.pgTid;
		receiptWin += '&order_no=' + order_no;
		receiptWin += '&trade_mony=' + (orderAmtInfo.realOrdAmt + orderAmtInfo.realDelvAmt);

		// 팝업 크기 설정
		option = 'width=455, height=815';
	} else if (param == 'cash') {
		// URL 설정
		receiptWin += '?cmd=cash_bill';
		receiptWin += '&cash_no=' + paymentInfo.cashTradeNo;
		receiptWin += '&order_id=' + ordNo;
		receiptWin += '&trade_mony=' + (orderAmtInfo.realOrdAmt + orderAmtInfo.realDelvAmt);

		// 팝업 크기 설정
		option = 'width=370, height=625';
	} else if (param == 'cancel') {
		if (refundYn == 'Y') {
			// URL 설정
			receiptWin += '?cmd=card_bill';
			receiptWin += '&tno=' + oneData.pgTid;
			receiptWin += '&order_no=' + oneData.ordNo;
			receiptWin += '&trade_mony=' + oneData.refundAmt;
		} else {
			mcxDialog.alert('아직 전표생성이 되지 않았습니다.');
			return false;
		}

		// 팝업 크기 설정
		option = 'width=455, height=815';
	} else if (param == 'delivery') {
		// URL 설정
		receiptWin += '?cmd=card_bill';
		receiptWin += '&tno=' + oneData.pgTid;
		receiptWin += '&order_no=' + oneData.ordNo;
		receiptWin += '&trade_mony=' + oneData.addPayCost;

		// 팝업 크기 설정
		option = 'width=455, height=815';
	}

	// 팝업 생성
	// APP일때 추가
	if (_isApp != null && _isApp == 'true') {
		location.href = receiptWin;
	} else {
		window.open(receiptWin, "", option);
	}
}

// 문자열 길이를 체크
var fnGetTextLength = function(obj, maxLen) {
	//var content = $(obj).val();
	//$('.txt_cnt').html('<span id="review_cnt" class="c_primary">'+content.length+'</span>/'+maxLen);    //글자수 실시간 카운팅
	//
	//
	//if (content.length > maxLen){
	//	mcxDialog.alertC("최대 "+maxLen+"자까지 입력 가능합니다.");
	//	$(obj).val(content.substring(0, maxLen));
	//	$('.txt_cnt').html('<span id="review_cnt" class="c_primary">'+maxLen+'</span>/'+maxLen);
	//}

	var content = $(obj).val();
	$('.txt_cnt').html('<span id="review_cnt" class="c_primary">'+content.length+'</span>/'+maxLen);
};

// 리뷰작성 페이지 이동
var fnReviewCreate = function(obj1,obj2,obj3) {
	let ordNo = obj1;
	let ordDtlNo = obj2;
	let goodsCd = obj3;
	let reviewStat = 'c';

	$('#createReview input[name=ordNo]').val(ordNo);
	$('#createReview input[name=ordDtlNo]').val(ordDtlNo);
	$('#createReview input[name=goodsCd]').val(goodsCd);
	$('#createReview input[name=reviewStat]').val(reviewStat);

	document.createReview.submit();
}

// 취반교 신청 취소 버튼 클릭 이벤트
var fnCreCancel = function(param, noMember) {
	let ordNo = $(param).attr('ordNo');
	let ordChgSq = $(param).attr('ordChgSq');
	let cancelGb = $(param).attr('cancelGb');
	let url;
	let msg;

	if (cancelGb == 'G680_30') {
		// 반품신청철회
		if (noMember == 'noMember') {
			url = '/noMember/return/cancel';
		} else {
			url = '/mypage/return/cancel';
		}
		msg = '반품 신청을 취소하시겠습니까?';
	} else if (cancelGb == 'G680_40') {
		// 교환신청철회
		if (noMember == 'noMember') {
			url = '/noMember/exchange/cancel';
		} else {
			url = '/mypage/exchange/cancel';
		}
		msg = '교환 신청을 취소하시겠습니까?';
	}

	let data = {};
	data.ordNo = ordNo;
	data.ordChgSq = ordChgSq;

	let jsonData = JSON.stringify(data);

	mcxDialog.confirm(msg, {
		cancelBtnText: "취소",
		sureBtnText: "확인",
		sureBtnClick: function() {
			gagajf.ajaxJsonSubmit(url, jsonData, function(result) {
				if (noMember == 'noMember') {
					cfnGoToPage(_PAGE_NOMEMBER_CRE_LIST);
				} else {
					cfnGoToPage(_PAGE_MYPAGE_CRE_LIST);
				}
			}, true);
		}
	});
}

// 취반교 결제하기 버튼 클릭 이벤트
var fnCrePayAddCost = function(param) {
	let ordChgSq = $(param).attr('ordChgSq');
	let ordNo = $(param).attr('ordNo');

	$('#addPaymentForm input[name=ordChgSq]').val(ordChgSq);
	$('#addPaymentForm input[name=ordNo]').val(ordNo);
	document.addPaymentForm.submit();
}

// 회수조회 버튼 클릭 이벤트
var fnGoToWithdrawDelivery = function(param) {
	let shipCompCd = $(param).attr('shipCompCd');
	let wdInvoiceNo = $(param).attr('wdInvoiceNo');

	let data = {}
	data.shipCompCd = shipCompCd;
	data.wdInvoiceNo = wdInvoiceNo;

	let jsonData = JSON.stringify(data);

	$.ajax( {
		type		: "POST",
		url 		: '/mypage/track/withdraw/popup/form',
		data		: jsonData,
		dataType 	: 'html',
		beforeSend : function(xhr, settings) {
			xhr.setRequestHeader("AJAX"			, "true");
			xhr.setRequestHeader('Accept'		, 'application/json');
			xhr.setRequestHeader('Content-Type'	, 'application/json');
		},
		success 	: function(result) {
			$("#reclaimPop .modal-dialog .modal-content").html(result);
			$("#reclaimPop").modal("show");
		}
	});
}

// 날짜 포멧 처리
function getFormatDate(date) {
	let year = date.getFullYear();
	let month = (1 + date.getMonth());
	let day = date.getDate();
	let lastDay = (new Date(year, month, 0)).getDate();

	if (day > lastDay) {
		day = lastDay;
	}

	month = month >= 10 ? month : '0' + month;

	day = day >= 10 ? day : '0' + day;

	return year + '-' + month + '-' + day;
}

// 주문 및 취반교 초기 검색 기간 설정
var fnSetInitPeriod = function() {
	let date 		= new Date();
	let edDate 		= getFormatDate(date);

	date.setDate(date.getDate() - 7);
	let stDate 		= getFormatDate(date);

	$('#edDate').val(edDate);
	$('#searchForm input[name=edDate]').val(edDate);
	$('#stDate').val(stDate);
	$('#searchForm input[name=stDate]').val(stDate);
}

// 이전 페이지 정보 세션 저장
var fnSetPrePageInfo = function() {
	// 인피니스크롤위치이동
	let scrollpos = $(window).scrollTop();
	localStorage.setItem('scrollpos', scrollpos);
	gagajf.setCookie('scrollpos', scrollpos);

	// PageNo 저장
	let pageNo = $("#searchForm input[name=pageNo]").val();
	localStorage.setItem('pageNo', pageNo);

	// 검색기간 저장
	$.each($('#odDatePop button'), function(idx, item) {
		if ($(item).hasClass('on')) {
			localStorage.setItem('period', $(item).attr('period'));
		}
	});

	// 상태값 저장
	$.each($('#odStatusPop button'), function(idx, item) {
		if ($(item).hasClass('on')) {
			localStorage.setItem('code', $(item).attr('code'));
		}
	});
}

// 캐쉬페이징 정보 설정
var fnGetPrePageInfo = function() {
	pageNo = localStorage.getItem('pageNo');

	var period = localStorage.getItem('period');
	$.each($('#odDatePop button'), function(idx, item) {
		if ($(item).attr('period') == period) {
			$(item).addClass('on');
			$('#od_date_btn').text($(item).children().text());
		} else {
			$(item).removeClass('on');
		}
	});

	var code = localStorage.getItem('code');
	$.each($('#odStatusPop button'), function(idx, item) {
		if ($(item).attr('code') == code) {
			$(item).addClass('on');
			$('#od_status_btn').text($(item).children().text());
		} else {
			$(item).removeClass('on');
		}
	});
}
